### Method

# Gdk.Toplevel.set_startup_id

#### Declaration [src]

    void
    gdk_toplevel_set_startup_id (
      GdkToplevel* toplevel,
      const char* startup_id
    )

#### Description [src]

Sets the startup notification ID.

When using GTK, typically you should use Gtk.Window.set_startup_id instead of this low-level function.

Sets property | `Gdk.Toplevel:startup-id`

#### Parameters

`startup_id` | `const char*`
| a string with startup-notification identifier
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string